#!/usr/bin/env python3
#
# Copyright (c) 2019 Nordic Semiconductor ASA
#
# SPDX-License-Identifier: LicenseRef-BSD-5-Clause-Nordic

import argparse
from pynrfjprog import HighLevel

def main():
    parser = argparse.ArgumentParser()
    parser.add_argument("modem_pkg", default=None, help="Path to nrf9160 modem firmware zip folder")
    args = parser.parse_args()
    print("Modem firmware upgrade")
    api = HighLevel.API()
    api.open()
    snr = api.get_connected_probes()
    for s in snr:
      print("snr:%s",s)
      probe = HighLevel.IPCDFUProbe(api, s, HighLevel.CoProcessor.CP_MODEM)
      print("programming...")
      probe.program(args.modem_pkg)
      print("verifying...")
      probe.verify(args.modem_pkg)
      print("Done")
    api.close()

if __name__ == '__main__':
    main()